Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2.impl
Class POCDMT000040ClinicalDocumentImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.cdar2.impl.POCDMT000040ClinicalDocumentImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, POCDMT000040ClinicalDocument

    public class POCDMT000040ClinicalDocumentImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements POCDMT000040ClinicalDocument

An implementation of the model object 'POCDMT000040 Clinical Document'.

The following features are implemented:

- `Realm Code`
- `Type Id`
- `Template Id`
- `Id`
- `Code`
- `Title`
- `Effective Time`
- `Confidentiality Code`
- `Language Code`
- `Set Id`
- `Version Number`
- `Copy Time`
- `Record Target`
- `Author`
- `Data Enterer`
- `Informant`
- `Custodian`
- `Information Recipient`
- `Legal Authenticator`
- `Authenticator`
- `Participant`
- `In Fulfillment Of`
- `Documentation Of`
- `Related Document`
- `Authorization`
- `Component Of`
- `Component`
- `Class Code`
- `Mood Code`
- `Null Flavor`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetCode(CE newCode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetComponent(POCDMT000040Component2 newComponent, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetComponentOf(POCDMT000040Component1 newComponentOf, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetConfidentialityCode(CE newConfidentialityCode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetCopyTime(TS1 newCopyTime, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetCustodian(POCDMT000040Custodian newCustodian, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetDataEnterer(POCDMT000040DataEnterer newDataEnterer, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetEffectiveTime(TS1 newEffectiveTime, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetId(II newId, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetLanguageCode(CS1 newLanguageCode, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetLegalAuthenticator(POCDMT000040LegalAuthenticator newLegalAuthenticator, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSetId(II newSetId, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetTitle(ST1 newTitle, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetTypeId(POCDMT000040InfrastructureRootTypeId newTypeId, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetVersionNumber(INT1 newVersionNumber, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`org.eclipse.emf.common.util.EList` | `getAuthenticator()`
`org.eclipse.emf.common.util.EList` | `getAuthor()`
`org.eclipse.emf.common.util.EList` | `getAuthorization()`
`ActClinicalDocument` | `getClassCode()`
`CE` | `getCode()`
`POCDMT000040Component2` | `getComponent()`
`POCDMT000040Component1` | `getComponentOf()`
`CE` | `getConfidentialityCode()`
`TS1` | `getCopyTime()`
`POCDMT000040Custodian` | `getCustodian()`
`POCDMT000040DataEnterer` | `getDataEnterer()`
`org.eclipse.emf.common.util.EList` | `getDocumentationOf()`
`TS1` | `getEffectiveTime()`
`II` | `getId()`
`org.eclipse.emf.common.util.EList` | `getInformant()`
`org.eclipse.emf.common.util.EList` | `getInformationRecipient()`
`org.eclipse.emf.common.util.EList` | `getInFulfillmentOf()`
`CS1` | `getLanguageCode()`
`POCDMT000040LegalAuthenticator` | `getLegalAuthenticator()`
`org.eclipse.emf.common.util.Enumerator` | `getMoodCode()`
`org.eclipse.emf.common.util.Enumerator` | `getNullFlavor()`
`org.eclipse.emf.common.util.EList` | `getParticipant()`
`org.eclipse.emf.common.util.EList` | `getRealmCode()`
`org.eclipse.emf.common.util.EList` | `getRecordTarget()`
`org.eclipse.emf.common.util.EList` | `getRelatedDocument()`
`II` | `getSetId()`
`org.eclipse.emf.common.util.EList` | `getTemplateId()`
`ST1` | `getTitle()`
`POCDMT000040InfrastructureRootTypeId` | `getTypeId()`
`INT1` | `getVersionNumber()`
`boolean` | `isSetClassCode()`
`boolean` | `isSetMoodCode()`
`void` | `setClassCode(ActClinicalDocument newClassCode)`
`void` | `setCode(CE newCode)`
`void` | `setComponent(POCDMT000040Component2 newComponent)`
`void` | `setComponentOf(POCDMT000040Component1 newComponentOf)`
`void` | `setConfidentialityCode(CE newConfidentialityCode)`
`void` | `setCopyTime(TS1 newCopyTime)`
`void` | `setCustodian(POCDMT000040Custodian newCustodian)`
`void` | `setDataEnterer(POCDMT000040DataEnterer newDataEnterer)`
`void` | `setEffectiveTime(TS1 newEffectiveTime)`
`void` | `setId(II newId)`
`void` | `setLanguageCode(CS1 newLanguageCode)`
`void` | `setLegalAuthenticator(POCDMT000040LegalAuthenticator newLegalAuthenticator)`
`void` | `setMoodCode(org.eclipse.emf.common.util.Enumerator newMoodCode)`
`void` | `setNullFlavor(org.eclipse.emf.common.util.Enumerator newNullFlavor)`
`void` | `setSetId(II newSetId)`
`void` | `setTitle(ST1 newTitle)`
`void` | `setTypeId(POCDMT000040InfrastructureRootTypeId newTypeId)`
`void` | `setVersionNumber(INT1 newVersionNumber)`
`java.lang.String` | `toString()`
`void` | `unsetClassCode()`
`void` | `unsetMoodCode()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getRealmCode

    public org.eclipse.emf.common.util.EList getRealmCode()

  Specified by:
    `getRealmCode` in interface `POCDMT000040ClinicalDocument`
  Returns:
    the value of the 'Realm Code' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040ClinicalDocument_RealmCode()`

### getTypeId

    public POCDMT000040InfrastructureRootTypeId getTypeId()

  Specified by:
    `getTypeId` in interface `POCDMT000040ClinicalDocument`
  Returns:
    the value of the 'Type Id' containment reference.
  See Also:
    `POCDMT000040ClinicalDocument.setTypeId(POCDMT000040InfrastructureRootTypeId)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_TypeId()`

### basicSetTypeId

    public org.eclipse.emf.common.notify.NotificationChain basicSetTypeId(POCDMT000040InfrastructureRootTypeId newTypeId,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

### setTypeId

    public void setTypeId(POCDMT000040InfrastructureRootTypeId newTypeId)

  Specified by:
    `setTypeId` in interface `POCDMT000040ClinicalDocument`
  Parameters:
    `newTypeId` - the new value of the 'Type Id' containment reference.
  See Also:
    `POCDMT000040ClinicalDocument.getTypeId()`

### getTemplateId

    public org.eclipse.emf.common.util.EList getTemplateId()

  Specified by:
    `getTemplateId` in interface `POCDMT000040ClinicalDocument`
  Returns:
    the value of the 'Template Id' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040ClinicalDocument_TemplateId()`

### getId

    public II getId()

  Specified by:
    `getId` in interface `POCDMT000040ClinicalDocument`
  Returns:
    the value of the 'Id' containment reference.
  See Also:
    `POCDMT000040ClinicalDocument.setId(II)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_Id()`

### basicSetId

    public org.eclipse.emf.common.notify.NotificationChain basicSetId(II newId,
                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

### setId

    public void setId(II newId)

  Specified by:
    `setId` in interface `POCDMT000040ClinicalDocument`
  Parameters:
    `newId` - the new value of the 'Id' containment reference.
  See Also:
    `POCDMT000040ClinicalDocument.getId()`

### getCode

    public CE getCode()

  Specified by:
    `getCode` in interface `POCDMT000040ClinicalDocument`
  Returns:
    the value of the 'Code' containment reference.
  See Also:
    `POCDMT000040ClinicalDocument.setCode(CE)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_Code()`

### basicSetCode

    public org.eclipse.emf.common.notify.NotificationChain basicSetCode(CE newCode,
                                                                        org.eclipse.emf.common.notify.NotificationChain msgs)

### setCode

    public void setCode(CE newCode)

  Specified by:
    `setCode` in interface `POCDMT000040ClinicalDocument`
  Parameters:
    `newCode` - the new value of the 'Code' containment reference.
  See Also:
    `POCDMT000040ClinicalDocument.getCode()`

### getTitle

    public ST1 getTitle()

  Specified by:
    `getTitle` in interface `POCDMT000040ClinicalDocument`
  Returns:
    the value of the 'Title' containment reference.
  See Also:
    `POCDMT000040ClinicalDocument.setTitle(ST1)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_Title()`

### basicSetTitle

    public org.eclipse.emf.common.notify.NotificationChain basicSetTitle(ST1 newTitle,
                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

### setTitle

    public void setTitle(ST1 newTitle)

  Specified by:
    `setTitle` in interface `POCDMT000040ClinicalDocument`
  Parameters:
    `newTitle` - the new value of the 'Title' containment reference.
  See Also:
    `POCDMT000040ClinicalDocument.getTitle()`

### getEffectiveTime

    public TS1 getEffectiveTime()

  Specified by:
    `getEffectiveTime` in interface `POCDMT000040ClinicalDocument`
  Returns:
    the value of the 'Effective Time' containment reference.
  See Also:
    `POCDMT000040ClinicalDocument.setEffectiveTime(TS1)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_EffectiveTime()`

### basicSetEffectiveTime

    public org.eclipse.emf.common.notify.NotificationChain basicSetEffectiveTime(TS1 newEffectiveTime,
                                                                                 org.eclipse.emf.common.notify.NotificationChain msgs)

### setEffectiveTime

    public void setEffectiveTime(TS1 newEffectiveTime)

  Specified by:
    `setEffectiveTime` in interface `POCDMT000040ClinicalDocument`
  Parameters:
    `newEffectiveTime` - the new value of the 'Effective Time' containment reference.
  See Also:
    `POCDMT000040ClinicalDocument.getEffectiveTime()`

### getConfidentialityCode

    public CE getConfidentialityCode()

  Specified by:
    `getConfidentialityCode` in interface `POCDMT000040ClinicalDocument`
  Returns:
    the value of the 'Confidentiality Code' containment reference.
  See Also:
    `POCDMT000040ClinicalDocument.setConfidentialityCode(CE)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_ConfidentialityCode()`

### basicSetConfidentialityCode

    public org.eclipse.emf.common.notify.NotificationChain basicSetConfidentialityCode(CE newConfidentialityCode,
                                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

### setConfidentialityCode

    public void setConfidentialityCode(CE newConfidentialityCode)

  Specified by:
    `setConfidentialityCode` in interface `POCDMT000040ClinicalDocument`
  Parameters:
    `newConfidentialityCode` - the new value of the 'Confidentiality Code' containment reference.
  See Also:
    `POCDMT000040ClinicalDocument.getConfidentialityCode()`

### getLanguageCode

    public CS1 getLanguageCode()

  Specified by:
    `getLanguageCode` in interface `POCDMT000040ClinicalDocument`
  Returns:
    the value of the 'Language Code' containment reference.
  See Also:
    `POCDMT000040ClinicalDocument.setLanguageCode(CS1)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_LanguageCode()`

### basicSetLanguageCode

    public org.eclipse.emf.common.notify.NotificationChain basicSetLanguageCode(CS1 newLanguageCode,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

### setLanguageCode

    public void setLanguageCode(CS1 newLanguageCode)

  Specified by:
    `setLanguageCode` in interface `POCDMT000040ClinicalDocument`
  Parameters:
    `newLanguageCode` - the new value of the 'Language Code' containment reference.
  See Also:
    `POCDMT000040ClinicalDocument.getLanguageCode()`

### getSetId

    public II getSetId()

  Specified by:
    `getSetId` in interface `POCDMT000040ClinicalDocument`
  Returns:
    the value of the 'Set Id' containment reference.
  See Also:
    `POCDMT000040ClinicalDocument.setSetId(II)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_SetId()`

### basicSetSetId

    public org.eclipse.emf.common.notify.NotificationChain basicSetSetId(II newSetId,
                                                                         org.eclipse.emf.common.notify.NotificationChain msgs)

### setSetId

    public void setSetId(II newSetId)

  Specified by:
    `setSetId` in interface `POCDMT000040ClinicalDocument`
  Parameters:
    `newSetId` - the new value of the 'Set Id' containment reference.
  See Also:
    `POCDMT000040ClinicalDocument.getSetId()`

### getVersionNumber

    public INT1 getVersionNumber()

  Specified by:
    `getVersionNumber` in interface `POCDMT000040ClinicalDocument`
  Returns:
    the value of the 'Version Number' containment reference.
  See Also:
    `POCDMT000040ClinicalDocument.setVersionNumber(INT1)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_VersionNumber()`

### basicSetVersionNumber

    public org.eclipse.emf.common.notify.NotificationChain basicSetVersionNumber(INT1 newVersionNumber,
                                                                                 org.eclipse.emf.common.notify.NotificationChain msgs)

### setVersionNumber

    public void setVersionNumber(INT1 newVersionNumber)

  Specified by:
    `setVersionNumber` in interface `POCDMT000040ClinicalDocument`
  Parameters:
    `newVersionNumber` - the new value of the 'Version Number' containment reference.
  See Also:
    `POCDMT000040ClinicalDocument.getVersionNumber()`

### getCopyTime

    public TS1 getCopyTime()

  Specified by:
    `getCopyTime` in interface `POCDMT000040ClinicalDocument`
  Returns:
    the value of the 'Copy Time' containment reference.
  See Also:
    `POCDMT000040ClinicalDocument.setCopyTime(TS1)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_CopyTime()`

### basicSetCopyTime

    public org.eclipse.emf.common.notify.NotificationChain basicSetCopyTime(TS1 newCopyTime,
                                                                            org.eclipse.emf.common.notify.NotificationChain msgs)

### setCopyTime

    public void setCopyTime(TS1 newCopyTime)

  Specified by:
    `setCopyTime` in interface `POCDMT000040ClinicalDocument`
  Parameters:
    `newCopyTime` - the new value of the 'Copy Time' containment reference.
  See Also:
    `POCDMT000040ClinicalDocument.getCopyTime()`

### getRecordTarget

    public org.eclipse.emf.common.util.EList getRecordTarget()

  Specified by:
    `getRecordTarget` in interface `POCDMT000040ClinicalDocument`
  Returns:
    the value of the 'Record Target' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040ClinicalDocument_RecordTarget()`

### getAuthor

    public org.eclipse.emf.common.util.EList getAuthor()

  Specified by:
    `getAuthor` in interface `POCDMT000040ClinicalDocument`
  Returns:
    the value of the 'Author' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040ClinicalDocument_Author()`

### getDataEnterer

    public POCDMT000040DataEnterer getDataEnterer()

  Specified by:
    `getDataEnterer` in interface `POCDMT000040ClinicalDocument`
  Returns:
    the value of the 'Data Enterer' containment reference.
  See Also:
    `POCDMT000040ClinicalDocument.setDataEnterer(POCDMT000040DataEnterer)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_DataEnterer()`

### basicSetDataEnterer

    public org.eclipse.emf.common.notify.NotificationChain basicSetDataEnterer(POCDMT000040DataEnterer newDataEnterer,
                                                                               org.eclipse.emf.common.notify.NotificationChain msgs)

### setDataEnterer

    public void setDataEnterer(POCDMT000040DataEnterer newDataEnterer)

  Specified by:
    `setDataEnterer` in interface `POCDMT000040ClinicalDocument`
  Parameters:
    `newDataEnterer` - the new value of the 'Data Enterer' containment reference.
  See Also:
    `POCDMT000040ClinicalDocument.getDataEnterer()`

### getInformant

    public org.eclipse.emf.common.util.EList getInformant()

  Specified by:
    `getInformant` in interface `POCDMT000040ClinicalDocument`
  Returns:
    the value of the 'Informant' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040ClinicalDocument_Informant()`

### getCustodian

    public POCDMT000040Custodian getCustodian()

  Specified by:
    `getCustodian` in interface `POCDMT000040ClinicalDocument`
  Returns:
    the value of the 'Custodian' containment reference.
  See Also:
    `POCDMT000040ClinicalDocument.setCustodian(POCDMT000040Custodian)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_Custodian()`

### basicSetCustodian

    public org.eclipse.emf.common.notify.NotificationChain basicSetCustodian(POCDMT000040Custodian newCustodian,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setCustodian

    public void setCustodian(POCDMT000040Custodian newCustodian)

  Specified by:
    `setCustodian` in interface `POCDMT000040ClinicalDocument`
  Parameters:
    `newCustodian` - the new value of the 'Custodian' containment reference.
  See Also:
    `POCDMT000040ClinicalDocument.getCustodian()`

### getInformationRecipient

    public org.eclipse.emf.common.util.EList getInformationRecipient()

  Specified by:
    `getInformationRecipient` in interface `POCDMT000040ClinicalDocument`
  Returns:
    the value of the 'Information Recipient' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040ClinicalDocument_InformationRecipient()`

### getLegalAuthenticator

    public POCDMT000040LegalAuthenticator getLegalAuthenticator()

  Specified by:
    `getLegalAuthenticator` in interface `POCDMT000040ClinicalDocument`
  Returns:
    the value of the 'Legal Authenticator' containment reference.
  See Also:
    `POCDMT000040ClinicalDocument.setLegalAuthenticator(POCDMT000040LegalAuthenticator)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_LegalAuthenticator()`

### basicSetLegalAuthenticator

    public org.eclipse.emf.common.notify.NotificationChain basicSetLegalAuthenticator(POCDMT000040LegalAuthenticator newLegalAuthenticator,
                                                                                      org.eclipse.emf.common.notify.NotificationChain msgs)

### setLegalAuthenticator

    public void setLegalAuthenticator(POCDMT000040LegalAuthenticator newLegalAuthenticator)

  Specified by:
    `setLegalAuthenticator` in interface `POCDMT000040ClinicalDocument`
  Parameters:
    `newLegalAuthenticator` - the new value of the 'Legal Authenticator' containment reference.
  See Also:
    `POCDMT000040ClinicalDocument.getLegalAuthenticator()`

### getAuthenticator

    public org.eclipse.emf.common.util.EList getAuthenticator()

  Specified by:
    `getAuthenticator` in interface `POCDMT000040ClinicalDocument`
  Returns:
    the value of the 'Authenticator' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040ClinicalDocument_Authenticator()`

### getParticipant

    public org.eclipse.emf.common.util.EList getParticipant()

  Specified by:
    `getParticipant` in interface `POCDMT000040ClinicalDocument`
  Returns:
    the value of the 'Participant' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040ClinicalDocument_Participant()`

### getInFulfillmentOf

    public org.eclipse.emf.common.util.EList getInFulfillmentOf()

  Specified by:
    `getInFulfillmentOf` in interface `POCDMT000040ClinicalDocument`
  Returns:
    the value of the 'In Fulfillment Of' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040ClinicalDocument_InFulfillmentOf()`

### getDocumentationOf

    public org.eclipse.emf.common.util.EList getDocumentationOf()

  Specified by:
    `getDocumentationOf` in interface `POCDMT000040ClinicalDocument`
  Returns:
    the value of the 'Documentation Of' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040ClinicalDocument_DocumentationOf()`

### getRelatedDocument

    public org.eclipse.emf.common.util.EList getRelatedDocument()

  Specified by:
    `getRelatedDocument` in interface `POCDMT000040ClinicalDocument`
  Returns:
    the value of the 'Related Document' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040ClinicalDocument_RelatedDocument()`

### getAuthorization

    public org.eclipse.emf.common.util.EList getAuthorization()

  Specified by:
    `getAuthorization` in interface `POCDMT000040ClinicalDocument`
  Returns:
    the value of the 'Authorization' containment reference list.
  See Also:
    `CDAR2Package.getPOCDMT000040ClinicalDocument_Authorization()`

### getComponentOf

    public POCDMT000040Component1 getComponentOf()

  Specified by:
    `getComponentOf` in interface `POCDMT000040ClinicalDocument`
  Returns:
    the value of the 'Component Of' containment reference.
  See Also:
    `POCDMT000040ClinicalDocument.setComponentOf(POCDMT000040Component1)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_ComponentOf()`

### basicSetComponentOf

    public org.eclipse.emf.common.notify.NotificationChain basicSetComponentOf(POCDMT000040Component1 newComponentOf,
                                                                               org.eclipse.emf.common.notify.NotificationChain msgs)

### setComponentOf

    public void setComponentOf(POCDMT000040Component1 newComponentOf)

  Specified by:
    `setComponentOf` in interface `POCDMT000040ClinicalDocument`
  Parameters:
    `newComponentOf` - the new value of the 'Component Of' containment reference.
  See Also:
    `POCDMT000040ClinicalDocument.getComponentOf()`

### getComponent

    public POCDMT000040Component2 getComponent()

  Specified by:
    `getComponent` in interface `POCDMT000040ClinicalDocument`
  Returns:
    the value of the 'Component' containment reference.
  See Also:
    `POCDMT000040ClinicalDocument.setComponent(POCDMT000040Component2)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_Component()`

### basicSetComponent

    public org.eclipse.emf.common.notify.NotificationChain basicSetComponent(POCDMT000040Component2 newComponent,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

### setComponent

    public void setComponent(POCDMT000040Component2 newComponent)

  Specified by:
    `setComponent` in interface `POCDMT000040ClinicalDocument`
  Parameters:
    `newComponent` - the new value of the 'Component' containment reference.
  See Also:
    `POCDMT000040ClinicalDocument.getComponent()`

### getClassCode

    public ActClinicalDocument getClassCode()

  Specified by:
    `getClassCode` in interface `POCDMT000040ClinicalDocument`
  Returns:
    the value of the 'Class Code' attribute.
  See Also:
    `ActClinicalDocument`, `POCDMT000040ClinicalDocument.isSetClassCode()`, `POCDMT000040ClinicalDocument.unsetClassCode()`, `POCDMT000040ClinicalDocument.setClassCode(ActClinicalDocument)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_ClassCode()`

### setClassCode

    public void setClassCode(ActClinicalDocument newClassCode)

  Specified by:
    `setClassCode` in interface `POCDMT000040ClinicalDocument`
  Parameters:
    `newClassCode` - the new value of the 'Class Code' attribute.
  See Also:
    `ActClinicalDocument`, `POCDMT000040ClinicalDocument.isSetClassCode()`, `POCDMT000040ClinicalDocument.unsetClassCode()`, `POCDMT000040ClinicalDocument.getClassCode()`

### unsetClassCode

    public void unsetClassCode()

  Specified by:
    `unsetClassCode` in interface `POCDMT000040ClinicalDocument`
  See Also:
    `POCDMT000040ClinicalDocument.isSetClassCode()`, `POCDMT000040ClinicalDocument.getClassCode()`, `POCDMT000040ClinicalDocument.setClassCode(ActClinicalDocument)`

### isSetClassCode

    public boolean isSetClassCode()

  Specified by:
    `isSetClassCode` in interface `POCDMT000040ClinicalDocument`
  Returns:
    whether the value of the 'Class Code' attribute is set.
  See Also:
    `POCDMT000040ClinicalDocument.unsetClassCode()`, `POCDMT000040ClinicalDocument.getClassCode()`, `POCDMT000040ClinicalDocument.setClassCode(ActClinicalDocument)`

### getMoodCode

    public org.eclipse.emf.common.util.Enumerator getMoodCode()

  Specified by:
    `getMoodCode` in interface `POCDMT000040ClinicalDocument`
  Returns:
    the value of the 'Mood Code' attribute.
  See Also:
    `POCDMT000040ClinicalDocument.isSetMoodCode()`, `POCDMT000040ClinicalDocument.unsetMoodCode()`, `POCDMT000040ClinicalDocument.setMoodCode(Enumerator)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_MoodCode()`

### setMoodCode

    public void setMoodCode(org.eclipse.emf.common.util.Enumerator newMoodCode)

  Specified by:
    `setMoodCode` in interface `POCDMT000040ClinicalDocument`
  Parameters:
    `newMoodCode` - the new value of the 'Mood Code' attribute.
  See Also:
    `POCDMT000040ClinicalDocument.isSetMoodCode()`, `POCDMT000040ClinicalDocument.unsetMoodCode()`, `POCDMT000040ClinicalDocument.getMoodCode()`

### unsetMoodCode

    public void unsetMoodCode()

  Specified by:
    `unsetMoodCode` in interface `POCDMT000040ClinicalDocument`
  See Also:
    `POCDMT000040ClinicalDocument.isSetMoodCode()`, `POCDMT000040ClinicalDocument.getMoodCode()`, `POCDMT000040ClinicalDocument.setMoodCode(Enumerator)`

### isSetMoodCode

    public boolean isSetMoodCode()

  Specified by:
    `isSetMoodCode` in interface `POCDMT000040ClinicalDocument`
  Returns:
    whether the value of the 'Mood Code' attribute is set.
  See Also:
    `POCDMT000040ClinicalDocument.unsetMoodCode()`, `POCDMT000040ClinicalDocument.getMoodCode()`, `POCDMT000040ClinicalDocument.setMoodCode(Enumerator)`

### getNullFlavor

    public org.eclipse.emf.common.util.Enumerator getNullFlavor()

  Specified by:
    `getNullFlavor` in interface `POCDMT000040ClinicalDocument`
  Returns:
    the value of the 'Null Flavor' attribute.
  See Also:
    `POCDMT000040ClinicalDocument.setNullFlavor(Enumerator)`, `CDAR2Package.getPOCDMT000040ClinicalDocument_NullFlavor()`

### setNullFlavor

    public void setNullFlavor(org.eclipse.emf.common.util.Enumerator newNullFlavor)

  Specified by:
    `setNullFlavor` in interface `POCDMT000040ClinicalDocument`
  Parameters:
    `newNullFlavor` - the new value of the 'Null Flavor' attribute.
  See Also:
    `POCDMT000040ClinicalDocument.getNullFlavor()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD